aboutsummaryrefslogtreecommitdiffstats
path: root/main/ircii/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-06 07:57:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-06 07:58:01 +0000
commite105360f5eb1856799fcf8be9fee5fa4cccf5ce3 (patch)
tree358bbb21d08cf4a33fd5269419978c3b0e7ab718 /main/ircii/APKBUILD
parent6caab54a5dfdc8ad5df42147ee3587eaafc8cf9b (diff)
downloadaports-e105360f5eb1856799fcf8be9fee5fa4cccf5ce3.tar.gz
aports-e105360f5eb1856799fcf8be9fee5fa4cccf5ce3.tar.bz2
aports-e105360f5eb1856799fcf8be9fee5fa4cccf5ce3.tar.xz
main/ircii: move from testing
Diffstat (limited to 'main/ircii/APKBUILD')
-rw-r--r--main/ircii/APKBUILD32
1 files changed, 20 insertions, 12 deletions
diff --git a/main/ircii/APKBUILD b/main/ircii/APKBUILD
index bcb44899ba..0dd45f91ab 100644
--- a/main/ircii/APKBUILD
+++ b/main/ircii/APKBUILD
@@ -1,23 +1,31 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ircii
-pkgver=20060725
-pkgrel=1
-pkgdesc="ircII is an IRC and ICB client that runs under most UNIX platforms."
+pkgver=20080314
+pkgrel=2
+pkgdesc="Universal IRC for Unix systems"
url="http://www.eterna.com.au/ircii/"
-license="GPL-2"
-subpackages="$pkgname-doc"
+license="GPL"
depends=
-# original source seems to be dead. use gentoo.
-#source="ftp://ircii.warped.com/pub/ircII/$pkgname-$pkgver.tar.bz2"
-source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.bz2"
+makedepends=
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://ircii.warped.com/pub/ircII/ircii-20080314.tar.bz2"
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$srcdir/$pkgname-$pkgver"
./configure --prefix=/usr \
+ --sysconfdir=/etc \
--mandir=/usr/share/man \
- --enable-ipv6
+ --infodir=/usr/share/info \
+ --with-default-server=irc.freenode.net \
+ || return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" install || return 1
}
-md5sums="280ae54367627591c1c43c765eb9d59b ircii-20060725.tar.bz2"
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make -j1 DESTDIR="$pkgdir" install
+}
+
+md5sums="da7fcf2a442bd25f303778eb6466eb19 ircii-20080314.tar.bz2"